<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" encoding="UTF-8" indent="yes" doctype-public="-//jpluck//DTD JXL 2.0//EN" doctype-system="http://jpluck.sourceforge.net/jxl-2.0.dtd"/>
	<xsl:param name="bitDepth" select="8"/>
	<xsl:param name="maxWidth" select="150"/>
	<xsl:param name="maxHeight" select="150"/>
	<xsl:template match="/documentList">
		<jxl>
			<xsl:apply-templates select="document"/>
		</jxl>
	</xsl:template>
	<xsl:template match="document">
		<site>
			<xsl:if test="language">
				<xsl:attribute name="language">
					<xsl:value-of select="language"/>
				</xsl:attribute>
			</xsl:if>
			<name>
				<xsl:value-of select="name"/>
			</name>
			<uri maxDepth="{@linkDepth}">
				<xsl:choose>
					<xsl:when test="@stayBelowPath='true'">
						<xsl:attribute name="restrict">directory</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:if test="@stayOnHost='true'">
							<xsl:attribute name="restrict">host</xsl:attribute>
						</xsl:if>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:value-of select="startPage"/>
			</uri>
			<xsl:copy-of select="include"/>
			<xsl:copy-of select="exclude"/>
			<xsl:copy-of select="category"/>
			<xsl:for-each select="transformation">
				<transform pattern="{@pattern}">
					<xsl:copy-of select="xsl"/>
				</transform>
			</xsl:for-each>
		</site>
	</xsl:template>
</xsl:stylesheet>
