<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:uri="xalan://java.net.URI">
	<xsl:output method="xml" indent="yes"/>
	<xsl:param name="jxl-uri"/>
	<xsl:variable name="base-uri" select="uri:create($jxl-uri)"/>
	<xsl:template match="/">
		<jxl>
			<xsl:apply-templates select="jxl"/>
		</jxl>
	</xsl:template>
	<xsl:template match="/jxl">
		<xsl:apply-templates select="info"/>
		<xsl:apply-templates select="template|site|feed"/>
		<xsl:for-each select="import">
			<xsl:apply-templates select="document(@href)/jxl"/>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="text()|@*|*">
		<!--<xsl:param name="base-uri"/>-->
		<xsl:copy>
			<xsl:apply-templates select="text()|@*|*">
				<xsl:with-param name="base-uri" select="$base-uri"/>
			</xsl:apply-templates>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="@href">
		<xsl:attribute name="href">
			<xsl:value-of select="uri:resolve($base-uri, .)"/>
		</xsl:attribute>
	</xsl:template>
</xsl:stylesheet>
